#ifndef SETTINGS_DIALOG_H
#define SETTINGS_DIALOG_H

#include "ui_settingsdialog.h"

#include <core/marketplace.h>

#include <QDialog>

class SettingsDialog : public QDialog
{
    Q_OBJECT
    
  public:
    SettingsDialog(QWidget* parent = nullptr,
                   Qt::WindowFlags f = Qt::WindowTitleHint | Qt::WindowSystemMenuHint);

  public slots:
    void accept() override;

  private:
    Ui::SettingsDialog m_ui;
    Marketplace* m_market{};
};

#endif
