#ifndef ENTITY_H
#define ENTITY_H

class Entity
{
public:
    enum class State { NEW, UPDATE, DELETE, OK };
    virtual ~Entity() = default;
    void setState(State state) { m_state = state; }
    virtual State getState() const;

private:
    State m_state{State::NEW};
};

#endif // ENTITY_H
