#include "entityuuid.h"

#include <iostream>

#include <boost/uuid/uuid_generators.hpp>
#include <boost/uuid/uuid_io.hpp>

void EntityUuid::createUuid()
{
    static boost::uuids::random_generator generator{};
    m_uuid = generator();
}

void EntityUuid::setUuidFromString(const std::string &uuidString)
{
    boost::uuids::string_generator generator{};
    m_uuid = generator(uuidString);
}

void EntityUuid::setSourceNo(int sourceNo) { m_sourceNo = sourceNo; }

int EntityUuid::getSourceNo() const { return m_sourceNo; }
