#ifndef PRICE_DIALOG_H
#define PRICE_DIALOG_H

#include "ui_pricedialog.h"

#include <QDialog>

class PriceDialog : public QDialog
{
    Q_OBJECT

  public:
    PriceDialog(QWidget* parent = nullptr, bool forceDesc = false,
                Qt::WindowFlags f = Qt::WindowTitleHint | Qt::WindowSystemMenuHint);
    int getPrice() const;
    std::string getDescription() const;
    void setForceDesc(bool force);

  private:
    void on_model_duplicateSellerNo(const QString& message);
    virtual void accept() override;
    Ui::PriceDialog m_ui;
    bool m_forceDesc;
};

#endif